Prerequisites for CommonStore for Exchange Server 8.4

Product documentation


Abstract

Lists all product prerequisites

Content

Legend

Supported Supported
Δ Added or changed information since the last fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel 32-bit processors, including IBM System x, eServer xSeries, and BladeCenter servers.
x86-64 64-bit AMD Opteron (AMD64) and Intel Xeon (EM64T) processors, including IBM System x and BladeCenter servers
SPARC Sun SPARC-based processors
POWER IBM POWER-based processors, including IBM System p, eServer pSeries, System i and eServer iSeries servers.
IA64 64-bit Intel Itanium 2 processors including HP Integrity Servers

Back to top

Microsoft Exchange Server

The following table specifies the supported versions of Microsoft Exchange Server.

Microsoft Exchange Server (required) Supported? Notes
Δ
Microsoft Exchange 5.5 Server No longer supported
Δ
Microsoft Exchange 5.5 Enterprise Server No longer supported
Δ
Microsoft Exchange 2000 Server No longer supported
Δ
Microsoft Exchange 2000 Enterprise Server No longer supported
Microsoft Exchange 2003 Server
Exchange 2003 Server supported
Microsoft Exchange 2003 Enterprise Server
Exchange 2003 Enterprise Server supported
Microsoft Exchange 2007 Server
Exchange 2007 Server supported
Microsoft Exchange 2007 Enterprise Server
Exchange 2007 Enterprise Server supported

Back to top

Microsoft Outlook

The following table specifies the supported versions of Microsoft Outlook for any machine on which you install one or more of the following components:

  • CSX Task
  • CSX Form Templates
  • CSX System Manager
  • CSX Client Components

Microsoft Outlook (required) Supported?
Microsoft Outlook 97
Not supported
Microsoft Outlook 98
Not supported
Δ
Microsoft Outlook 2000
No longer supported
Δ
Microsoft Outlook 2002 (XP)
No longer supported
Microsoft Outlook 2003
Outlook 2003 supported
Microsoft Outlook 2007
Outlook 2007 supported

Back to top

Collaboration Data Objects

The following table specifies the supported Collaboration Data Objects Library for any machine on which you install one or more of the following components:

  • CSX Form Templates
  • CSX System Manager
  • CSX Client Components

Collaboration Data Objects (required) Supported?
Collaboration Data Objects Library 1.2.1 (or later)
Collaboration Data Objects Library 1.2.1 supported

Back to top

Archive servers

The following table specifies the supported archive servers.

Archive system Operating system Notes
AIX
HP-UX iSeries
Linux
OS/390 OS/400
Solaris
Windows
z/OS
Δ
Content Manager Enterprise Edition V8.2 (formerly called Content Manager for Multiplatforms) No longer supported
Content Manager Enterprise Edition V8.3 (formerly called Content Manager for Multiplatforms)
Supported on AIX
Supported on Linux
Supported on Solaris
Supported on Windows
Content Manager Enterprise Edition V8.4, V8.4.1, V8.4.2, and V8.4.3
Supported on AIX
Supported on Linux
Supported on Solaris
Supported on Windows
Δ
Content Manager for z/OS V8.2 No longer supported
Content Manager for z/OS V8.3
Supported on z/OS
Content Manager for z/OS V8.4, V8.4.1, V8.4.2, and V8.4.3
Supported on z/OS
Δ
Content Manager OnDemand for Multiplatforms V7.1.2.3 with later fix packs
Supported on HP-UX
Supported on HP-UX
Supported on HP-UX
Supported on HP-UX
Content Manager OnDemand for Multiplatforms V8.3
Supported on AIX
Supported on HP-UX
Supported on Solaris
Supported on Windows
Content Manager OnDemand for Multiplatforms V8.4
Supported on AIX
Supported on HP-UX
Supported on Solaris
Supported on Windows
Content Manager OnDemand for Multiplatforms V8.5
Supported on AIX
Supported on AIX
Supported on AIX
Supported on AIX
Δ Content Manager OnDemand for Multiplatforms V9.0
Supported on AIX
Supported on AIX
Supported on AIX
Supported on AIX
Δ Content Manager OnDemand for iSeries V5.2 No longer supported
Content Manager OnDemand for iSeries V5.3
Supported on iSeries
Supported on OS/400
Δ Content Manager OnDemand for iSeries V5.4
Supported on iSeries
Supported on OS/400
Content Manager OnDemand for z/OS V7.1
Supported on OS/390
Supported on z/OS
Δ
Content Manager OnDemand for z/OS V8.4
Supported on OS/390
Supported on z/OS
Δ
Content Manager OnDemand for z/OS V8.5
Supported on OS/390
Supported on z/OS
Δ Content Manager OnDemand for z/OS V9.0
Supported on OS/390
Supported on z/OS
Δ
Tivoli Storage Manager V5.1 No longer supported
Δ
Tivoli Storage Manager V5.2 No longer supported
Δ
Tivoli Storage Manager V5.3 No longer supported
Tivoli Storage Manager V5.3.5
Supported on AIX
Supported on HP-UX
Supported on OS/390
Supported on Solaris
Supported on Windows
Supported on z/OS
Tivoli Storage Manager V5.4
Supported on AIX
Supported on HP-UX
Supported on OS/390
Supported on Solaris
Supported on Windows
Supported on z/OS
Δ Tivoli Storage Manager V5.5
Supported on AIX
Supported on HP-UX
Supported on OS/390
Supported on Solaris
Supported on Windows
Supported on z/OS
New

Back to top

Operating system

The following table specifies the operating system needed by any of the following components or installation scripts in order to successfully set up and run CSX:

  • CommonStore Server
  • Active Directory
  • Schema Extension (running scripts to install the CSX schema extension for the Active Directory)
  • CSX Task
  • CSX Form Templates
  • CSX System Manager
  • CSX Client Components
The table lists the minimum requirements.


Operating system Service Pack Component Notes
CommonStore Server
Active Directory
Schema Extension
CSX Task
CSX Form Templates
CSX System Manager
CSX Client Components
Δ
Windows 2000 Server (32-bit) SP4 No longer supported
Δ
Windows 2000 Advanced Server (32-bit) No longer supported
Windows XP (32-bit)
Supported on Windows XP (32-bit)
SP1
Supported on Windows XP SP1 (32-bit)
Supported on Windows XP SP1 (32-bit)
Supported on Windows XP SP1 (32-bit)
Supported on Windows XP SP1 (32-bit)
Supported on Windows XP SP1 (32-bit)
Windows Server 2003 Standard Edition (32-bit)
Supported on Windows Server 2003 Standard Edition (32-bit)
Supported on Windows Server 2003 Standard Edition (32-bit)
Supported on Windows Server 2003 Standard Edition (32-bit)
Supported on Windows Server 2003 Standard Edition (32-bit)
Supported on Windows Server 2003 Standard Edition (32-bit)
SP1
Supported on Windows Server 2003 Standard Edition SP1 (32-bit)
Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
SP1
Supported on Windows Server 2003 Enterprise Edition SP1 (32-bit)
Windows Vista Business (32-bit)
Supported on Windows Vista Business (32-bit)
Supported on Windows Vista Business (32-bit)
Supported on Windows Vista Business (32-bit)
Supported on Windows Vista Business (32-bit)
Supported on Windows Vista Business (32-bit)
Windows Vista Enterprise (32-bit)
Supported on Windows Vista Enterprise (32-bit)
Supported on Windows Vista Enterprise (32-bit)
Supported on Windows Vista Enterprise (32-bit)
Supported on Windows Vista Enterprise (32-bit)
Supported on Windows Vista Enterprise (32-bit)
Windows Server 2008 Standard Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Vista Enterprise (32-bit)
Windows Server 2008 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Server 2003 Enterprise Edition (32-bit)
Supported on Windows Vista Enterprise (32-bit)

Back to top

Connector

The following table specifies the connector that is required on the CommonStore Server for the supported archive servers.

Archive server (required) Required connector on CommonStore Server: Notes
Δ
Content Manager Enterprise Edition V8.3 (formerly called Content Manager for Multiplatforms) Content Manager V8 Connector Included in DB2 Information Integrator for Content V8.3 (Use installation type Development Workstationto install the connector.)
Content Manager Enterprise Edition V8.4 Content Manager V8 Connector Included in DB2 Information Integrator for Content V8.4 (Use Setup Type Connector.)
Content Manager for z/OS V8.3 Content Manager V8 Connector Included in DB2 Information Integrator for Content V8.3 (Use installation type Development Workstationto install the connector.)
Content Manager for z/OS V8.4 Content Manager V8 Connector Included in DB2 Information Integrator for Content V8.4 (Use Setup Type Connector.)
Content Manager OnDemand for Multiplatforms V7.1.2.3 with later fix packs Content Manager OnDemand for Multiplatforms V7.1.2.3 This is the same as the archive server software and because of that, you must install exactly the same version (same package as for archive server). This is required because the Content Manager OnDemand server software contains the interface to CommonStore, which must exist on the computer where CSX is installed. You do not have to configure this server, and the server hosting your archive can be on a different machine. If you want to install the connector on the same system as the archive server, you do not have to install the package again.
Content Manager OnDemand for Multiplatforms V8.3 Content Manager OnDemand for Multiplatforms V8.3 See the previous note for Content Manager OnDemand for Multiplatforms 7.1.2.3
Content Manager OnDemand for Multiplatforms V8.4 Content Manager OnDemand for Multiplatforms V8.4 See the previous note for Content Manager OnDemand for Multiplatforms 7.1.2.3
Δ
Content Manager OnDemand for Multiplatforms V8.5 Content Manager OnDemand for Multiplatforms V8.4.1 See the note for Content Manager OnDemand for Multiplatforms 7.1.2.3. However, for Content Manager OnDemand for Multiplatforms V8.5, the connector on the CommonStore Server must be Content Manager OnDemand for Multiplatforms V8.4.1.
Δ
Content Manager OnDemand for Multiplatforms V9.0 Content Manager OnDemand for Multiplatforms V8.4.1 See the note for Content Manager OnDemand for Multiplatforms 7.1.2.3. However, for Content Manager OnDemand for Multiplatforms V9.0, the connector on the CommonStore Server must be Content Manager OnDemand for Multiplatforms V8.4.1.
Content Manager OnDemand for iSeries V5.3 Content Manager OnDemand for Multiplatforms V8.3
Δ
Content Manager OnDemand for iSeries V5.4 Content Manager OnDemand for Multiplatforms V8.3
Content Manager OnDemand for Multiplatforms V8.4
Content Manager OnDemand for z/OS V7.1 Content Manager OnDemand for Multiplatforms V8.3
Δ
Content Manager OnDemand for z/OS V8.4 Content Manager OnDemand for Multiplatforms V8.4
Δ
Content Manager OnDemand for z/OS V8.5 Content Manager OnDemand for Multiplatforms V8.4.1 See the note for Content Manager OnDemand for Multiplatforms 7.1.2.3. However, for Content Manager OnDemand for z/OS V8.5, the connector on the CommonStore Server must be Content Manager OnDemand for Multiplatforms V8.4.1.
Δ
Content Manager OnDemand for z/OS V9.0 Content Manager OnDemand for Multiplatforms V8.4.1 See the note for Content Manager OnDemand for Multiplatforms 7.1.2.3. However, for Content Manager OnDemand for z/OS V9, the connector on the CommonStore Server must be Content Manager OnDemand for Multiplatforms V8.4.1.
Tivoli Storage Manager 5.3.5 Tivoli Storage Manager client API 5.3.5
Tivoli Storage Manager 5.4 Tivoli Storage Manager client API 5.4
Tivoli Storage Manager 5.5 Tivoli Storage Manager client API 5.5

Back to top

CommonStore Server

The following operating system and other software is required on the system where the CommonStore Server is installed:

One of the following operating systems (required) One of the following connectors (depending on the archive system) Notes
  • Windows Server 2008
  • Windows Server 2003
  • Windows XP
  • Content Manager 8 Connector
  • Content Manager OnDemand for Multiplatforms V7.1.2.3 (server)
  • Content Manager OnDemand for Multiplatforms V8.3 (server)
  • Content Manager OnDemand for Multiplatforms V8.4 (server)
  • Tivoli Storage Manager client API 5.3.5
  • Tivoli Storage Manager client API 5.4
  • Tivoli Storage Manager client API 5.5
See Connector.

Back to top

Active Directory schema extension
You can extend the Active Directory schema directly on the Active Directory
server or from a workstation in the same Windows forest as the Active Directory
server. You need to run additional configuration scripts after the extension
of the schema. If you want to extend the schema from a workstation, this workstation
must run one of the operating systems listed in the table.

Operating system of workstation used to install schema extension (one of the following) Workstation tools Notes
  • Windows Server 2008
  • Windows Vista Business
  • Windows Vista Enterprise
  • Windows Server 2003
  • Windows XP
Windows Server Administration Tools Pack The Windows Server Administration Tools Pack is required because it contains a file called schmmgmt.dll.

This tool is included in any of the Windows Server packages. Therefore, to install the schema from a Windows XP or Windows Vista workstation, you must first install the tool on this workstation.
ldifde.exe This tool is included in any of the Windows Server packages. Therefore, to install the schema from a Windows XP or Windows Vista workstation, you must first install the tool on this workstation.


Attention:
Before installing Windows service packs, check Microsoft information sources
for possible problems with existing applications. Carefully decide whether
you want to install the service pack if there are known problems.

Back to top

CSX Task
The operating system and additional software listed in the following table must be installed on the computer on which you want to install the CSX Task:


One of the following operating systems
(required)
One of the following versions of Microsoft Outlook (including the latest service packs)
  • Windows Server 2008
  • Windows Server 2003
  • Windows XP SP1 (or later)
  • Outlook 2007
  • Outlook 2003


Attention:
Before installing Windows service packs, check Microsoft information sources
for possible problems with existing applications. Carefully decide whether
you want to install the service pack if there are known problems.

Back to top

CommonStore form templates

Before installing the CommonStore form templates, make sure that the workstation that you want to use meets the software requirements listed in the following table:


One of the following operating systems
One of the following versions of Microsoft Outlook
Other requirements
  • Windows Server 2008
  • Windows Vista Business
  • Windows Vista Enterprise
  • Windows Server 2003
  • Windows XP SP1 (or later)
  • Outlook 2007
  • Outlook 2003

Collaboration Data Objects Library 1.2.1 (or later)

An Outlook logon profile containing the parameters for the connection to the Exchange server

Windows Scripting Host or Microsoft Internet Explorer 6.0 (or later)


Attention:
Before installing Windows service packs, check Microsoft information sources
for possible problems with existing applications. Carefully decide whether
you want to install the service pack if there are known problems.

To install the Collaboration Data Objects Library, select the option Collaboration
Data Objects
when you install Outlook 2003 clients.
If the Outlook client is already installed, you can simply add the Collaboration
Data Objects Library by running the installation program again. You do not
have to reinstall the complete Outlook client.

The Collaboration Data Objects Library is not part of the Outlook 2007 installation
CD. If you use Outlook 2007, you must download the Collaboration Data Objects
Library from the Microsoft Web site:

Download Collaboration Data Objects Library for Outlook 2007

Back to top

CSX System Manager

See the software requirements for the CSX System Manager in the following table:


One of the following operating systems
One of the following versions of Microsoft Outlook
Other requirements
  • Windows Vista Business
  • Windows Vista Enterprise
  • Windows Server 2008
  • Windows Server 2003 SP1 (or later)
  • Windows XP SP1 (or later)
  • Outlook 2007
  • Outlook 2003

Collaboration Data Objects Library 1.2.1 (or later)


Attention:
Before installing Windows service packs, check Microsoft information sources
for possible problems with existing applications. Carefully decide whether
you want to install the service pack if there are known problems.

To install the Collaboration Data Objects Library, select the option Collaboration
Data Objects
when you install Outlook 2003 clients.
If the Outlook client is already installed, you can simply add the Collaboration
Data Objects Library by running the installation program again. You do not
have to reinstall the complete Outlook client.

The Collaboration Data Objects Library is not part of the Outlook 2007 installation
CD. If you use Outlook 2007, you must download the Collaboration Data Objects
Library from the Microsoft Web site:

Download Collaboration Data Objects Library for Outlook 2007

Notes:
  • You are not supposed to install Microsoft Outlook on the same machine as the Exchange server. Since the CSX System Manager requires Outlook, do not install the CSX System Manager on the Exchange server machine either.
  • Make sure that workstations running the CSX System Manager use the same locale settings as your Exchange servers. Generally, the CSX System Manager works in a heterogeneous environment, but it is none the less possible that certain characters cannot be displayed.
  • The font Microsoft Sans Serif must be installed on workstations running the CSX System Manager. This is a standard font that is usually there unless you have removed it.
  • The Input Method Editor (IME) does not work on property pages of the CSX System Manager. You can circumvent this problem by typing the required characters in another editor, such as Notepad, and then copying them into the fields on the property pages.

Back to top

CSX Client Components

Before you add the CSX Client Components to a client workstation, make sure that the required software is installed on that workstation:


One of the following operating systems
One of the following versions of Microsoft Outlook
Other requirements
  • Windows Vista Business
  • Windows Vista Enterprise
  • Windows XP SP1 (or later)
  • Outlook 2007
  • Outlook 2003

Collaboration Data Objects Library 1.2.1 (or later)

An Outlook logon profile containing the parameters for the connection to the Exchange server

Microsoft Internet Explorer 6.0 (or later)


Attention:
Before installing Windows service packs, check Microsoft information sources
for possible problems with existing applications. Carefully decide whether
you want to install the service pack if there are known problems.

To install the Collaboration Data Objects Library, select the option Collaboration
Data Objects
when you install Outlook 2003 clients.
If the Outlook client is already installed, you can simply add the Collaboration
Data Objects Library by running the installation program again. You do not
have to reinstall the complete Outlook client.

The Collaboration Data Objects Library is not part of the Outlook 2007 installation
CD. If you use Outlook 2007, you must download the Collaboration Data Objects
Library from the Microsoft Web site:

Download Collaboration Data Objects Library for Outlook 2007

Note:
You can install the CSX Client Components irrespective of the language in
which Outlook is installed.

Back to top

Operating system and Exchange Server version for Outlook Web Access
To install the CommonStore Outlook Web Access support feature on the Exchange server, the following requirements must be met:

Operating system for Exchange Server (required) Exchange Server version (required) Notes
  • Windows Server 2008
  • Windows Server 2003 SP1
Microsoft Exchange Server 2003 FP1 (or later) The Outlook Web Access interface of Exchange Server must be enabled.

Back to top

CSX Outlook Web Access IIS server
Apart from the Outlook Web Access support feature that is installed on the Exchange server, the Outlook Web Access support package consists of a Web service and an interface for .NET Active Server Pages (ASP.NET), which is installed on top of a Microsoft IIS Server. Together, these components make up what is called the CSX Outlook Web Access IIS server. The following table lists the operating system and other requirements for the CSX Outlook Web Access IIS server. A separate server machine for the CSX Outlook Web Access IIS server is recommended.

Operating system for the CSX Outlook Web Access IIS server (required) Other software requirements Notes
  • Windows Server 2008
  • Windows Server 2003 SP1
Microsoft IIS Server 5.5 (or later)
.NET Framework 2.0 (or later)

Back to top

CSX Outlook Web Access client prerequisites
To be able to use the CommonStore Outlook Web Access (OWA) functions, clients need the following software on their workstations:

Software prerequisites for OWA clients Notes
Microsoft Internet Explorer 6.0 (or later)

Back to top



Archive servers supported by text-search user-exit

To use the CommonStore text-search function (full-text search), you must install the text-search user-exit. The supported combinations of archive servers and operating systems are shown in the following table.

Supported archive servers Operating system: Notes
AIX
Linux
Solaris
Windows
Δ
Content Manager Enterprise Edition V8.2 (formerly called Content Manager for Multiplatforms) No longer supported
Content Manager Enterprise Edition V8.3 (formerly called Content Manager for Multiplatforms)
Supported on AIX
Supported on Solaris
Supported on Windows
Content Manager Enterprise Edition V8.4
Supported on AIX
Supported on Solaris
Supported on Windows

Restrictions:
  • The text-search function is available for Content Manager 8 archives only.
  • The text-search function does not work for Content Manager 8 installations on Linux or z/OS.
  • The text-search function does not work if the Content Manager 8 installation uses Oracle as its database management system rather than DB2.

Back to top

Content Manager fix packs, Information Integrator for Content, and Net Search Extender fix packs for the text-search user-exit

The text-search user exit also requires DB2 Information Integrator for Content, a Net Search Extender fix pack, and possibly an additional Net Search Extender e-fix. For details, see the following table.

Supported archive servers Content Manager fix pack (required) Information Integrator for Content One of the following Net Search Extender fix packs Additional Net Search Extender e-fixes (required) Notes
Content Manager Enterprise Edition V8.3 (formerly called Content Manager for Multiplatforms) AIX FP6 DB2 Information Integrator for Content V8.3 8.1.4 for DB2 V8.1 fix pack 6 and lower AIX IC44751 IP22841 Install DB2 Information Integrator for Content on the CommonStore Server machine.

Install Net Search Extender fix packs and e-fixes on the archive server.
Solaris IC45225 IP22845
Solaris FP6 Windows IC44752 IP22842
8.2.0 for DB2 V8.1 fix pack 7 and 8 AIX IC44784 IP22843
Windows FP6 Solaris IC45226 IP22846
Windows IC44785 IP22844
8.2.2 for DB2 V8.1 fix pack 9 and higher
Content Manager Enterprise Edition V8.4 DB2 Information Integrator for Content V8.4 8.2.2 for DB2 V8.1 fix pack 13 and higher
9.1 fix pack 3 for DB2 V9.1
9.5 for DB2 V9.5

Notes:
  • Install DB2 Information Integrator for Content on the CommonStore Server machine.
  • Install Net Search Extender fix packs and e-fixes on the archive server.
  • The table provides direct links to Web sites from which you can download Content Manager fix packs and Net Search Extender e-fixes. For general access points to these download sites, follow these links:

    Content Manager fix packs

    Net Search Extender e-fixes

Back to top

Records Enabler

If you want to use IBM Content Manager Records Enabler to do records management with CommonStore for Exchange and IBM Records Manager, you require the following software:

One of the following archive servers Records Manager CSX One of the following Exchange versions One of the following Outlook versions Active Directory
Content Manager Enterprise Edition V8.3 (formerly called Content Manager for Multiplatforms) Records Manager 4.1 CommonStore for Exchange Server 8.4
  • Exchange Server 2003
  • Exchange Server 2007
  • Outlook 2003
  • Outlook 2007
Active Directory

In addition, IBM Content Manager Records Enabler V8.4 and V8.5 are supported.

Back to top



Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

CommonStore for Exchange Server

Software version:

8.4

Operating system(s):

Windows 2000 Server, Windows Server 2003, Windows XP

Reference #:

7010343

Modified date:

2013-07-04

Translate my page

Machine Translation

Content navigation